QGIS Application - Bug report #10303
QgsFieldExpressionWidget grows too wide with long expressions
2014-05-18 10:47 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Denis Rouzaud

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18728
Description

The new QgsFieldExpressionWidget can grow very wide when using long expressions - this causes dialogs like the data defined dialog to
expand to very large sizes. | think it should have a maximum width it is allowed to grow to.

History

#1 - 2014-05-31 05:27 AM - Anita Graser

- Target version set to Future Release - High Priority
- Priority changed from Normal to Severe/Regression
- Category set to GUI

#2 - 2014-05-31 05:27 AM - Anita Graser

related to #10405

#3 - 2014-06-05 06:01 AM - Denis Rouzaud
| am a little bit puzzled by this.
| can't manage to find a solution without fixing a strict maximum width.

Setting the widget size policy to expanding did not solve the thing. | don't understand why it worked in labeling (with Nathan's fix) but not for

categorized/graduated when | try.

#4 - 2014-06-06 12:47 AM - Denis Rouzaud
- Status changed from Open to Closed

Fixed in changeset commit:"69f7b65648a925a19e8b068f10bab345b7b83e6e".
